> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete MLE Public Key

Deletes (disables) a specific public key registration. Once deleted, the key is no longer used: Method will not encrypt responses to a disabled `use: "enc"` key, and will not verify requests signed with a disabled `use: "sig"` key. On the [signed MLE path](https://docs.methodfi.com/2026-03-30/reference/message-level-encryption.md#signed-message-level-encryption), disabling the signing key you are currently using causes your requests to fail with `MLE_SIGNATURE_VERIFICATION_FAILED`.

> [!WARNING]
>
> This action cannot be undone. Once a key is deleted, it will be permanently disabled and cannot be reactivated.

## Path Parameters

## Returns

Returns the deleted public key registration object with status changed to `disabled`.

```bash cURL theme={null}
curl https://production.methodfi.com/teams/mle/public_keys/team_jwk_12345 \
  -X DELETE \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const key = await method.teams.mle.publicKeys.delete('team_jwk_12345');
```

```python Python theme={null}
key = method.teams.mle.public_keys.delete('team_jwk_12345')
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "id": "team_jwk_12345", 
    "type": "direct",
    "jwk": {
      "kid": "team_123", 
      "kty": "RSA",
      "alg": "RSA-OAEP-256",
      "use": "enc",
      "n": "s3C9N7Vz...J7c",
      "e": "AQAB"
    },
    "well_known_endpoint": null,
    "status": "disabled",
    "contact": "security@yourcompany.com",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z"
  },
  "message": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.